[Upstream] overline automatic color incorrect in pdf

Bug #819796 reported by Scott Wills
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
LibreOffice
Confirmed
Low
libreoffice (Ubuntu)
Medium
Unassigned

Bug Description

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.3.3-1ubuntu2
  Candidate: 1:3.3.3-1ubuntu2
  Version table:
 *** 1:3.3.3-1ubuntu2 0
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

apt-cache policy acroread
acroread:
  Installed: 9.4.2-0natty1
  Candidate: 9.4.2-0natty1
  Version table:
 *** 9.4.2-0natty1 0
        500 http://archive.canonical.com/ubuntu/ natty/partner i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/819796/+attachment/2251624/+files/overline%20color%20test.odt -O test.odt && lowriter -nologo test.odt

File -> Export as PDF -> Export button and open in Adobe Reader is the overline above B remains red.

4) What happens is it is black.

WORKAROUND: Highlight B -> Secondary click -> click character... -> Font Effects tab -> change Overline color from Automatic to Light red -> OK button

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: libreoffice-core 1:3.3.2-1ubuntu5
ProcVersionSignature: Ubuntu 2.6.39-0.5~20110427-generic-pae 2.6.39-rc5
Uname: Linux 2.6.39-0-generic-pae i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Tue Aug 2 08:34:40 2011
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: libreoffice
UpgradeStatus: Upgraded to natty on 2011-05-30 (63 days ago)

Revision history for this message
Scott Wills (scott-wills) wrote :
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Scott Wills, thank you for reporting this and helping make Ubuntu better. Could you please attach the Writer file, that when exported to pdf, demonstrates this problem?

Changed in libreoffice (Ubuntu):
status: New → Incomplete
Revision history for this message
Scott Wills (scott-wills) wrote : Re: [Bug 819796] Re: overline automatic color incorrect in pdf

Here's a test with three letters A, B, and C.
All characters are bright red.

A is underlined with the underline color as "automatic".

B is overlined with the overline color as "automatic".

C is overliined with the overline color as "bright red".

In Write, all characters and lining are red.

In pdf, the B has a black overline.

Example files are attached. I suspect the pdf writer
does not properly handle lining color inheritance.

On 08/02/2011 06:32 PM, Christopher M. Penalver wrote:
> Scott Wills, thank you for reporting this and helping make Ubuntu
> better. Could you please attach the Writer file, that when exported to
> pdf, demonstrates this problem?
>
> ** Changed in: libreoffice (Ubuntu)
> Status: New => Incomplete
>

description: updated
tags: added: lo33
Revision history for this message
Christopher M. Peñalver (penalvch) wrote : Re: overline automatic color incorrect in pdf

Scott Wills, the issue you are reporting is an upstream one and it would be nice if somebody having it could send the bug to the developers of the software by following the instructions at http://wiki.documentfoundation.org/BugReport . If you have done so, please tell us the number of the upstream bug (or the link), so we can add a bugwatch that will inform us about its status. Thanks in advance.

Changed in libreoffice (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
Changed in df-libreoffice:
status: New → Incomplete
Revision history for this message
In , Christopher M. Peñalver (penalvch) wrote :

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/819796

1) lsb_release -rd
Description: Ubuntu precise (development branch)
Release: 12.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.5.2-2ubuntu1
  Candidate: 1:3.5.2-2ubuntu1
  Version table:
 *** 1:3.5.2-2ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/819796/+attachment/2251624/+files/overline%20color%20test.odt -O test.odt && lowriter -nologo test.odt

File -> Export as PDF -> Export button and open in Adobe Reader is the overline above B remains red.

4) What happens is it is black.

WORKAROUND: Highlight B -> Secondary click -> click character... -> Font Effects tab -> change Overline color from Automatic to Light red -> OK button

Revision history for this message
In , Christopher M. Peñalver (penalvch) wrote :

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/819796

1) lsb_release -rd
Description: Ubuntu precise (development branch)
Release: 12.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.5.2-2ubuntu1
  Candidate: 1:3.5.2-2ubuntu1
  Version table:
 *** 1:3.5.2-2ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/819796/+attachment/2251624/+files/overline%20color%20test.odt -O test.odt && lowriter -nologo test.odt

File -> Export as PDF -> Export button and open in Adobe Reader is the overline above B remains red.

4) What happens is it is black.

WORKAROUND: Highlight B -> Secondary click -> click character... -> Font Effects tab -> change Overline color from Automatic to Light red -> OK button

Changed in df-libreoffice:
importance: Undecided → Unknown
status: Incomplete → Unknown
summary: - overline automatic color incorrect in pdf
+ [Upstream] overline automatic color incorrect in pdf
Changed in df-libreoffice:
importance: Unknown → Low
status: Unknown → Confirmed
Revision history for this message
In , Foss-4 (foss-4) wrote :

Hi Christopher, I do not understand the reproduce steps of this bug.

Is this bug still valid / reproducible with the latest LO release? Currently 4.2.3: http://www.libreoffice.org/download/libreoffice-fresh/

Please also try resetting your user profile and let us know if that helps: https://wiki.documentfoundation.org/UserProfile

Should this be still reproducible for you with the latest LO release please set this bug back to UNCONFIRMED. Should this issue be solved set it to WORKSFORME. In that case please attach a test file with which this can easily be reproduced. Thanks :)

Setting to NEEDINFO until more detail is provided.

Revision history for this message
In , Cpae (cpae) wrote :

Hi Christopher, I do not understand the reproduce steps of this bug.

Is this bug still valid / reproducible with the latest LO release? Currently 4.2.3: http://www.libreoffice.org/download/libreoffice-fresh/

Please also try resetting your user profile and let us know if that helps: https://wiki.documentfoundation.org/UserProfile

Should this be still reproducible for you with the latest LO release please set this bug back to UNCONFIRMED. Should this issue be solved set it to WORKSFORME. In that case please attach a test file with which this can easily be reproduced. Thanks :)

Setting to NEEDINFO until more detail is provided.

Revision history for this message
In , Christopher M. Peñalver (penalvch) wrote :

Foss:

>"Hi Christopher, I do not understand the reproduce steps of this bug."

If you don't understand the click-for-click reproduction steps provided in the Description, then you shouldn't toggle the Status of this bug.

>"Is this bug still valid / reproducible with the latest LO release? Currently 4.2.3: http://www.libreoffice.org/download/libreoffice-fresh/"

As the reproduction steps are trivial to follow, did you try this? Despite this, reproducible in:
Microsoft Windows Vista Business x86 6.0.6002 Service Pack 2 Build 6002
Version: 4.3.0.0.alpha1+
Build ID: a3c00ee3c7b3b0fbcde32baeb7023c7e8526b908
TinderBox: Win-x86@47-TDF, Branch:MASTER, Time: 2014-04-28_07:22:55

>"Please also try resetting your user profile and let us know if that helps: https://wiki.documentfoundation.org/UserProfile"

I don't ever modify my profile so that is silly to do here.

>"In that case please attach a test file with which this can easily be reproduced."

Please read the Description for the attachment.

Revision history for this message
In , Christopher M. Peñalver (penalvch) wrote :

Foss:

>"Hi Christopher, I do not understand the reproduce steps of this bug."

If you don't understand the click-for-click reproduction steps provided in the Description, then you shouldn't toggle the Status of this bug.

>"Is this bug still valid / reproducible with the latest LO release? Currently 4.2.3: http://www.libreoffice.org/download/libreoffice-fresh/"

As the reproduction steps are trivial to follow, did you try this? Despite this, reproducible in:
Microsoft Windows Vista Business x86 6.0.6002 Service Pack 2 Build 6002
Version: 4.3.0.0.alpha1+
Build ID: a3c00ee3c7b3b0fbcde32baeb7023c7e8526b908
TinderBox: Win-x86@47-TDF, Branch:MASTER, Time: 2014-04-28_07:22:55

>"Please also try resetting your user profile and let us know if that helps: https://wiki.documentfoundation.org/UserProfile"

I don't ever modify my profile so that is silly to do here.

>"In that case please attach a test file with which this can easily be reproduced."

Please read the Description for the attachment.

Revision history for this message
In , Markusschelbert (markusschelbert) wrote :

Created attachment 115230
Problem with overline after pdf-export

Revision history for this message
In , Markusschelbert (markusschelbert) wrote :

Hi

I have the same Problem and maked a screenshot. the overline is only black in the pdf-export, when no space exists between the different charformats. See the blue arrows in the attachment. if the overline is seperated with whitespaces or return, the problem doesn't exist.

msg132e

Revision history for this message
In , Xiscofauli (xiscofauli) wrote :

This issue is still reproducible in

Version: 5.2.0.0.alpha1+
Build ID: e7f55f15ccd97bc92e1400bc5862171a621da3e2
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default;
TinderBox: Win-x86@39, Branch:master, Time: 2016-04-27_00:29:05
Locale: es-ES (es_ES)

Revision history for this message
In , Qa-admin-q (qa-admin-q) wrote :

** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice
(5.2.7 or 5.3.3 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and
your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not
appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3
. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword

Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522

Revision history for this message
In , kompilainenn (79045-79045) wrote :

still repro in

Version: 6.2.0.0.alpha0+ (x64)
Build ID: e7d5bad5ae083da12c3ec4a4a8bdc8b42447a242
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win;
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-06_02:55:02
Locale: ru-RU (ru_RU); Calc: threaded

Revision history for this message
Marcus Tomlinson (marcustomlinson) wrote :

This release of Ubuntu is no longer receiving maintenance updates. If this is still an issue on a maintained version of Ubuntu please let us know.

Changed in libreoffice (Ubuntu):
status: Triaged → Incomplete
Changed in df-libreoffice:
importance: Low → Unknown
status: Confirmed → Unknown
Changed in df-libreoffice:
importance: Unknown → Low
status: Unknown → Confirmed
Revision history for this message
Marcus Tomlinson (marcustomlinson) wrote :

Synchronising bug status with upstream.

Changed in libreoffice (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
In , Qa-admin-q (qa-admin-q) wrote :

Dear Christopher M. Penalver,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not
appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3
. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword

Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug

Revision history for this message
In , Patrick-libreoffice (patrick-libreoffice) wrote :

Hi,

I can confirm that this issue still remains in LO 7.0.1.2 with kubuntu 18.04.

regards
Patrick

Revision history for this message
In , Larch42 (larch42) wrote :

Created attachment 171776
Source

The overline is black, as expected.

Revision history for this message
In , Larch42 (larch42) wrote :

Created attachment 171777
pdf

The overline is red!

Revision history for this message
In , Larch42 (larch42) wrote :

Here is a table with red borders. The following text has an overline. The colour of the overline in the pdf (not in the odt) follows the colour of the table borders, which can't really be the intended behaviour.

Tested on libreoffice 7.1.2.2 (debian) and linreoffice 6.1.5.2 (debian).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.